public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Julian Ospald" <hasufell@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-misc/gpaste/
Date: Mon, 10 Aug 2015 23:23:29 +0000 (UTC)	[thread overview]
Message-ID: <1439248995.926eef459172d839e157412df307229d7fc5c12c.hasufell@gentoo> (raw)

commit:     926eef459172d839e157412df307229d7fc5c12c
Author:     Julian Ospald <hasufell <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 10 23:22:41 2015 +0000
Commit:     Julian Ospald <hasufell <AT> gentoo <DOT> org>
CommitDate: Mon Aug 10 23:23:15 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=926eef45

x11-misc/gpaste: version bump to 3.16.2.1

This is totally untested, added with lots of good faith, since
I don't want to update my glib just yet.

 x11-misc/gpaste/Manifest               |  1 +
 x11-misc/gpaste/gpaste-3.16.2.1.ebuild | 81 ++++++++++++++++++++++++++++++++++
 2 files changed, 82 insertions(+)

diff --git a/x11-misc/gpaste/Manifest b/x11-misc/gpaste/Manifest
index 372affd..72abf39 100644
--- a/x11-misc/gpaste/Manifest
+++ b/x11-misc/gpaste/Manifest
@@ -1 +1,2 @@
 DIST gpaste-3.14.tar.gz 146295 SHA256 55d6547aec756fc55f88adbebd6685147e23cac5683308d2e424c2982ce2dbbd SHA512 ffafa6ef19a65af5cea2a74a6c7ea6e33a6097d4aeae6c78628cfadf2e2fde1ae30eb2bb5723b4f58c225ac68a2db5f3f114ffa9da7544b7765bc5fe033d824f WHIRLPOOL 4c178c1dc5e4f905bdf406c4ac23b8e74bfba60d9f0c1a93978153deedc1a8eaba989fcb453ace1a16aecdf4effd0d8bc12a03ac28b3c09a427a10151eb032ab
+DIST gpaste-3.16.2.1.tar.gz 144459 SHA256 f1bcb6f67f43b61754cc7b192ea352cea0c04812d677d0d30ebaaafa6f6ae58d SHA512 55512b9ca01099198e8cc718cc19e5176db9809e95d3b5777d7ce550d9a717e829390056bd94b24d18c63651db01e62105839ae0364f3882d6102943fc3dd015 WHIRLPOOL 2c232c08efb7c159329c68dadfe2493d5e4e503d7bcea105f9eaccbad49c4bbd978113ca81882c6de89dac4cbdedc9d42f05c7709e51ab5d71e2279f0852d17d

diff --git a/x11-misc/gpaste/gpaste-3.16.2.1.ebuild b/x11-misc/gpaste/gpaste-3.16.2.1.ebuild
new file mode 100644
index 0000000..47b2d4f
--- /dev/null
+++ b/x11-misc/gpaste/gpaste-3.16.2.1.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+VALA_USE_DEPEND="vapigen"
+
+inherit eutils autotools gnome2-utils vala vcs-snapshot
+
+DESCRIPTION="Clipboard management system"
+HOMEPAGE="https://github.com/Keruspe/GPaste"
+SRC_URI="https://github.com/Keruspe/GPaste/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+applet gnome vala"
+
+CDEPEND="
+	dev-util/appdata-tools
+	>=dev-libs/glib-2.44:2
+	>=dev-libs/gobject-introspection-1.44.0
+	sys-apps/dbus
+	>=x11-libs/gdk-pixbuf-2.26:2
+	>=x11-libs/gtk+-3.16:3
+	x11-libs/libX11
+	x11-libs/libXi
+	gnome? (
+		gnome-base/gnome-control-center:2
+		media-libs/clutter
+		x11-libs/pango
+	)
+"
+RDEPEND="${CDEPEND}
+	gnome? (
+		gnome-base/gnome-shell
+	)
+"
+DEPEND="${CDEPEND}
+	dev-util/intltool
+	virtual/pkgconfig
+	vala? ( $(vala_depend) )
+"
+
+src_prepare() {
+	eautoreconf
+	intltoolize --force --automake || die "intltoolize error"
+	vala_src_prepare
+
+	if ! use gnome ; then
+		echo "" > data/control-center.mk || die
+	fi
+}
+
+src_configure() {
+	econf \
+		$(use_enable vala) \
+		$(use_enable applet) \
+		--disable-unity \
+		$(use_enable gnome gnome-shell-extension) \
+		--disable-static \
+		--disable-schemas-compile
+}
+
+src_install() {
+	default
+	prune_libtool_files
+}
+
+pkg_preinst() {
+	gnome2_schemas_savelist
+}
+
+pkg_postinst() {
+	gnome2_schemas_update
+}
+
+pkg_postrm() {
+	gnome2_schemas_update
+}


             reply	other threads:[~2015-08-10 23:23 UTC|newest]

Thread overview: 17+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-08-10 23:23 Julian Ospald [this message]
  -- strict thread matches above, loose matches on Subject: below --
2015-08-10 23:23 [gentoo-commits] repo/gentoo:master commit in: x11-misc/gpaste/ Julian Ospald
2015-08-16 15:10 Justin Lecher
2015-09-08 18:39 Pacho Ramos
2016-01-30 12:23 Pacho Ramos
2016-04-15 19:47 Patrice Clement
2016-04-15 19:47 Patrice Clement
2016-06-28 14:03 Patrice Clement
2016-07-01  8:01 Michał Górny
2020-02-15 10:03 David Seifert
2020-08-12 22:42 Jonas Stein
2020-09-27 10:27 Joonas Niilola
2020-09-27 10:27 Joonas Niilola
2021-03-16 19:57 Sam James
2022-02-18  7:28 Florian Schmaus
2022-02-18  9:20 Florian Schmaus
2023-01-01 14:48 David Seifert

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1439248995.926eef459172d839e157412df307229d7fc5c12c.hasufell@gentoo \
    --to=hasufell@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox